petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecAXPBYPCZ

Computes z = alpha x + beta y + gamma z

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAXPBYPCZ(Vec z,PetscScalar alpha,PetscScalar beta,PetscScalar gamma,Vec x,Vec y)

Logically Collective on Vec

### Input Parameters

| alpha,beta, gamma | - the scalars
| x, y, z | - the vectors

### Output Parameter

z -output vector

### Notes

x, y and z must be different vectors The implementation is optimized for alpha of 1.0 and gamma of 1.0 or 0.0

### See Also

VecAYPX(), VecMAXPY(), VecWAXPY(), VecAXPY(), VecAXPBY()

### Level

intermediate

### Location

src/vec/vec/interface/rvector.c

### Implementations

VecAXPBYPCZ_Nest in src/vec/vec/impls/nest/vecnest.c
VecAXPBYPCZ_Node in src/vec/vec/impls/node/vecnode.c
VecAXPBYPCZ_Seq in src/vec/vec/impls/seq/bvec1.c
VecAXPBYPCZ_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda2.cu
VecAXPBYPCZ_SeqViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages